.l-acuvue-contact-lens {
  overflow: hidden;

  a {
    text-decoration: none !important;
    outline: none;
    transition: .5s;
    color: black;
    display: flex !important;

    @media (min-width: 1024px) {
      cursor: pointer;
    }
  }

  p {
    line-height: 2;
    margin-bottom: 0 !important;
  }
}

.l-acuvue-contact-lens__btn__primary {
  width: 100%;
  max-width: 386px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 999px;
  background: #0964AB;
  margin-inline: auto;

  span {
    color: white;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.16px;
    padding-right: 36px;
    position: relative;

    &::before {
      content: '';
      width: 10px;
      height: 10px;
      border-right: 2.1px solid white;
      border-bottom: 2.1px solid white;
      position: absolute;
      top: 50%;
      transform: translateY(-50%) rotate(-45deg);
      right: 0;
    }
  }

  @media (min-width: 1024px) {
    height: 64px;

    span {
      font-size: 22px;
      line-height: 24px;
      letter-spacing: 0.22px;
      padding-right: 44px;

      &::before {
        width: 12px;
        height: 12px;
        border-right: 2px solid white;
        border-bottom: 2px solid white;
      }
    }
  }
}

.l-acuvue-contact-lens__btn__secondary {
  width: 100%;
  height: 42px;
  background-color: black;
  border-radius: 999px;
  display: flex;
  justify-content: center;
  align-items: center;

  span {
    color: white;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    padding-right: 26px;

    position: relative;

    &::before {
      content: '';
      width: 8px;
      height: 8px;
      border-right: 1.75px solid white;
      border-bottom: 1.75px solid white;
      position: absolute;
      top: 50%;
      transform: translateY(-50%) rotate(-45deg);
      right: 7.5px;
    }
  }
}

.l-acuvue-contact-lens__main {
  position: relative;
  
  > bg {
    position: absolute;
    left: 0;
    top: 0;
  }
}

.l-acuvue-contact-lens__main__container {
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  max-width: 425px;
  height: auto;
  aspect-ratio: 3/2;
  padding-block: 34px 24px;
  padding-inline: 16px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-inline: auto;

  @media (min-width: 425px) {
    padding-block: 40px;
  }

  @media (min-width: 768px) {
    aspect-ratio: 3/1;
    padding-inline: 20px;
    max-width: 1440px;
  }

  @media (min-width: 1024px) {
    padding-block: 40px;
    padding-inline: 40px;
  }

  @media (min-width: 1296px) {
    padding-block: 85.5px 84.5px;
    padding-inline: 100px;
  }
}

.l-acuvue-contact-lens__main__title {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-left: -2px;

  span {
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: 26.54px;
    background: linear-gradient(87deg, #0863AB 10.58%, #0671B2 27.19%, #0399C6 59.43%, #00CEE1 97.53%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

  small {
    color: #0964AB;
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 11px;
    font-style: normal;
    font-weight: 500;
    line-height: 23.115px;
    letter-spacing: 2px;
    text-transform: uppercase;
    opacity: 0.8;
  }

  @media (min-width: 768px) {
    span {
      br {
        display: none;
      }
    }
  }

  @media (min-width: 1024px) {
    gap: 18px;
    margin-left: 0;

    span {
      font-size: 64px;
      line-height: normal;
    }

    small {
      font-size: 28px;
      letter-spacing: 4px;
    }
  }
}

.l-acuvue-contact-lens__main__btn {
  width: fit-content;
  height: 28px;
  justify-content: center;
  align-items: center;
  border-radius: 999px;
  background: #0964AB;

  span {
    color: white;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: 16px;
    letter-spacing: 0.12px;
    padding-inline: 12px;
  }

  @media (min-width: 1024px) {
    height: 64px;
    position: relative;

    &::before {
      content: '';
      width: 10px;
      height: 10px;
      border-right: 2px solid white;
      border-bottom: 2px solid white;
      position: absolute;
      top: 50%;
      right: 60px;
      transform: translateY(-50%) rotate(-45deg);
    }

    span {
      font-size: 22px;
      line-height: 24px;
      letter-spacing: 0.22px;
      padding-inline: 57px 93px;
    }
  }
}

.l-acuvue-contact-lens__benefits {
  background-color: #F2F8FF;
}

.l-acuvue-contact-lens__benefits__container {
  width: 100%;
  height: auto;
  padding-inline: 16px;
  padding-block: 40px 20px;

  @media (min-width: 768px) {
    padding-inline: 20px;
  }

  @media (min-width: 1024px) {
    padding-block: 40px;
  }
}

.l-acuvue-contact-lens__benefits__title {
  color: #0964AB;
  font-feature-settings: 'liga' off, 'clig' off;
  font-size: 22px;
  font-style: normal;
  font-weight: 500;
  line-height: 36px;
  text-align: center;

  @media (min-width: 1024px) {
    font-size: 34px;
    line-height: 40px;
  }
}

.l-acuvue-contact-lens__benefits__list {
  width: 100%;
  max-width: 1240px;
  height: auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 8px;
  margin-block: 24px;
  margin-inline: auto;

  > li {
    width: 100%;
    height: auto;
    background-color: white;
    border-radius: 12px;
    padding: 16px 12px;
    display: flex;
    flex-direction: column;
    gap: 16px;

    > img {
      width: 56px;
      height: 56px;
      aspect-ratio: 1/1;
    }

    > p {
      color: #0964AB;
      font-feature-settings: 'case' on, 'liga' off, 'clig' off;
      font-size: 16px;
      font-style: normal;
      font-weight: 400;
      line-height: 20px;
    }
  }

  @media (min-width: 768px) {
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  @media (min-width: 1024px) {
    > li {
      padding: 24px 32px;
      margin-block: 48px;
  
      > img {
        width: 80px;
        height: 80px;
      }
  
      > p {
        font-size: 22px;
        line-height: 24px;
      }
    }
  }
}

.l-acuvue-contact-lens__stores {
  background-color: #F2F8FF;
  display: none;

  @media (min-width: 1024px) {
    display: block;
  }
}

.l-acuvue-contact-lens__stores__container {
  width: 100%;
  height: auto;
  max-width: 1240px;
  margin-inline: auto;
  padding-inline: 16px;
  padding-block: 40px;
  display: grid;
  grid-template-columns: 1fr;
  
  @media (min-width: 768px) {
    padding-inline: 20px;
  }

  @media (min-width: 1240px) {
    padding-inline: 0;
  }
}

.l-acuvue-contact-lens__stores__title {
  color: #0964AB;
  font-feature-settings: 'liga' off, 'clig' off;
  font-size: 22px;
  font-style: normal;
  font-weight: 500;
  line-height: 36px;
  text-align: center;

  @media (min-width: 1024px) {
    font-size: 34px;
    line-height: 40px;
  }
}

.l-acuvue-contact-lens__stores__list {
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 16px;
  margin-block: 48px;

  > li {
    width: 100%;
    height: 56px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 16px;
    background-color: white;

    color: #0964AB;
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
  }

  @media (min-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
    gap: 16px 40px;

    > li {
      font-size: 22px;
    }
  }

  @media (min-width: 1024px) {
    grid-template-columns: repeat(3, 1fr);
  }
}

.l-acuvue-contact-lens__explore {
  background-color: #F2F8FF;
}

.l-acuvue-contact-lens__explore__container {
  width: 100%;
  height: auto;
  max-width: 1240px;
  padding-inline: 16px;
  padding-block: 40px;
  margin-inline: auto;

  @media (min-width: 768px) {
    padding-inline: 20px;
    padding-block: 40px 120px;
  }

  @media (min-width: 1240px) {
    padding-inline: 0;
  }
}

.l-acuvue-contact-lens__explore__card {
  width: 100%;
  height: auto;
  background-color: white;
  border-radius: 24px;
  padding: 8px;

  @media (min-width: 768px) {
    padding: 40px 20px;
  }

  @media (min-width: 1024px) {
    padding: 80px 40px;
  }
}

.l-acuvue-contact-lens__explore__main {
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 32px;

  @media (min-width: 768px) {
    grid-template-columns: 1fr 50%;
    
    picture {
      order: 2;
    }
  }

  @media (min-width: 1024px) {
    grid-template-columns: 1fr 35.97%;
    gap: 48px;
  }

  @media (min-width: 1296px) {
    grid-template-columns: 1fr 518px;
  }
}

.l-acuvue-contact-lens__explore__information {
  display: flex;
  flex-direction: column;
  gap: 24px;

  @media (min-width: 1024px) {
    gap: 40px;
  }
}

.l-acuvue-contact-lens__explore__title {
  color: #0964AB;
  font-feature-settings: 'liga' off, 'clig' off;
  font-size: 22px;
  font-style: normal;
  font-weight: 500;
  line-height: 36px;

  @media (min-width: 1024px) {
    font-size: 30px;
    line-height: 36px;
  }
}

.l-acuvue-contact-lens__explore__logo {
  width: 179px;
  height: 32px;
  aspect-ratio: 179/32;

  @media (min-width: 1024px) {
    width: 358px;
    height: 64px;
  }
}

.l-acuvue-contact-lens__explore__description {
  color: #0964AB;
  font-feature-settings: 'case' on, 'liga' off, 'clig' off;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;

  @media (min-width: 1024px) {
    font-size: 20px;
    line-height: 36px;
  }
}

.l-acuvue-contact-lens__explore__list {
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: 1fr;
  margin-block: 56px;
  gap: 40px;

  > li {
    p {
      color: black;
      text-align: center;
      font-feature-settings: 'liga' off, 'clig' off;
      font-size: 20px;
      font-style: normal;
      font-weight: 400;
      line-height: 36px;
    }

    .l-acuvue-contact-lens__btn__secondary {
      margin-top: 20px;
    }
  }

  @media (min-width: 768px) {
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-block: 56px 96px;

    > li {
      p {
        min-height: 72px;
      }
    }

    .l-acuvue-contact-lens__btn__secondary {
      margin-top: 0;
    }
  }

  @media (min-width: 1150px) {
    > li {
      p {
        min-height: 0;
      }
    }
  }

  @media (min-width: 1024px) {
    > li {
      p {
        font-size: 20px;
        line-height: 36px;
      }
    } 
  }
}

.l-acuvue-contact-lens__explore__footer {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  gap: 12px;

  .l-acuvue-contact-lens__btn__primary {
    max-width: 498px;
  }

  @media (min-width: 768px) {
    flex-direction: row;
    gap: 32px;

    .l-acuvue-contact-lens__btn__primary {
      &:first-child {
        margin-inline: auto 0;
      }

      &:last-child {
        margin-inline: 0 auto;
      }
    }
  }

  @media (min-width: 1024px) {
    gap: 64px;
  }
}
